%{!?python3_pkgversion:%global python3_pkgversion 3}

%global pypi_name sphinx-autobuild
%global name_with_underscore sphinx_autobuild
%global sum Watch a Sphinx directory and rebuild the documentation

%bcond_without tests

Name:           python-%{pypi_name}
Version:        0.7.1
Release:        13%{?dist}
Summary:        %{sum}

License:        MIT
URL:            https://pypi.python.org/pypi/%{pypi_name}
Source0:        https://pypi.python.org/packages/41/21/d7407dd6258ca4f4dfe6b3edbd076702042c02bfcdd82b6f71cb58a359d2/%{pypi_name}-%{version}.tar.gz

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-pytest

Requires:       python%{python3_pkgversion}-argh
Requires:       python%{python3_pkgversion}-livereload
Requires:       python%{python3_pkgversion}-pathtools
Requires:       python%{python3_pkgversion}-port-for
Requires:       python%{python3_pkgversion}-yaml
Requires:       python%{python3_pkgversion}-tornado
Requires:       python%{python3_pkgversion}-watchdog

%if %{with tests}
BuildRequires:  python%{python3_pkgversion}-argh
BuildRequires:  python%{python3_pkgversion}-livereload
BuildRequires:  python%{python3_pkgversion}-mock
BuildRequires:  python%{python3_pkgversion}-pathtools
BuildRequires:  python%{python3_pkgversion}-port-for
BuildRequires:  python%{python3_pkgversion}-pyyaml
BuildRequires:  python%{python3_pkgversion}-tornado
BuildRequires:  python%{python3_pkgversion}-watchdog
%endif

BuildArch:      noarch

%description
Watch a Sphinx directory and rebuild documentation when a change is detected.

%prep
%autosetup -n %{pypi_name}-%{version}
sed -i "s|^port_for=|port_for>|g" requirements.txt

%build
%py3_build

%install
%py3_install

%files
%doc AUTHORS NEWS.rst README.rst
%license LICENSE
%{python3_sitelib}/%{name_with_underscore}
%{python3_sitelib}/%{name_with_underscore}-%{version}-py?.?.egg-info
%{_bindir}/%{pypi_name}

%changelog
* Mon Mar 25 2019 Sundeep Anand <suanand@redhat.com> - 0.7.1-13
- bump version

* Wed Mar 13 2019 Jeroen van Meeuwen (Kolab Systems) <vanmeeuwen@kolabsys.com> - 0.7.1-12
- Remove python2-sphinx-autobuild without condition, missing run-time requirements

* Tue Mar 12 2019 Miro Hrončok <mhroncok@redhat.com> - 0.7.1-11
- Remove python2-sphinx-autobuild on Fedora 31

* Fri Mar  1 2019 Nick Cross <ncross@redhat.com> - 0.7.1-10
- Correct dependencies. Patch port-for to unpin it.

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 0.7.1-5
- Rebuilt for Python 3.7

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sun Dec 17 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl>
- Fix creation of python2- subpackage

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Mon Jul 10 2017 Sundeep Anand <suanand@redhat.com> - 0.7.1-1
- Updated to version 0.7.1

* Wed Aug 10 2016 Sundeep Anand <suanand@redhat.com> - 0.6.0-3
- https://bugzilla.redhat.com/show_bug.cgi?id=1365796

* Thu Jun 23 2016 Sundeep Anand <suanand@redhat.com> - 0.6.0-2
- fix: epel py3 dependency

* Mon Jun 20 2016 Sundeep Anand <suanand@redhat.com> - 0.6.0-1
- https://bugzilla.redhat.com/show_bug.cgi?id=1348003

* Tue Feb 16 2016 Sundeep Anand <suanand@redhat.com> - 0.5.2-4
- https://bugzilla.redhat.com/show_bug.cgi?id=1307172

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jan 27 2016 Sundeep Anand <suanand@redhat.com> - 0.5.2-2
- Fix binary shebang in python3 subpackage

* Fri Jan 22 2016 Sundeep Anand <suanand@redhat.com> - 0.5.2-1
- Initial RPM Package
